/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/* rc-package-info.h
 * Copyright (C) 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef _RC_PACKAGE_INFO_H
#define _RC_PACKAGE_INFO_H

#include <glib.h>

#include <gnome-xml/parser.h>

#include "rc-channel.h"

/*
 * Parses the given xmlbuf buffer, which is compressed
 * if compressed_length > 0
 *
 */

guint rc_channel_parse(RCChannel *channel, gchar *buf,
                       gint compressed_length);

/*
 * Find packages
 */
RCPackage *pkginfo_find_package (RCChannel *chs, gchar *name);
RCPackage *pkginfo_find_package_with_constraint (RCChannel *chs,
                                                 gchar *name,
                                                 RCPackageDep *constraint,
                                                 gboolean is_and);

#endif /* _RC_PACKAGE_INFO_H */
