/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-uri.h: URI Handler
 *
 * Copyright 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_URI_H
#define _GUI_URI_H

#include <gnome.h>
#include <gtkhtml/gtkhtml.h>

void rc_gui_html_load_image(GtkHTML *html, char *url, GtkHTMLStream *stream);

void rc_gui_html_link_clicked(GtkHTML *html, const char *uri, GUIChannel *channel);

void rc_gui_html_submit(GtkHTML *html, const char *form_method, 
                        const char *form_action, const char *form_encoding,
                        gpointer data);

void rc_gui_html_download (GtkHTML *html, GtkHTMLStream *stream_in, gchar *url);

void rc_gui_handle_uri (GtkHTML *html, const char *uri, GUIChannel *channel);

void rc_url_show(const char *url);

void select_all_or_none(GUIChannel *channel, MinorNotebookPage current_page , gboolean all);

#endif
