/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * subscription.h: Code for managing subscriptions
 *
 * Copyright (c) 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __REDCARPET_SUBSCRIPTION_H
#define __REDCARPET_SUBSCRIPTION_H

#include <time.h>
#include <glib.h>

#include "libredcarpet.h"

void rc_gui_initialize_subscriptions(void);
void rc_gui_free_subscriptions(void);
gboolean rc_gui_subscribed(RCChannel *channel);
void rc_gui_subscribe(RCChannel *channel);
void rc_gui_unsubscribe(RCChannel *channel);
int rc_gui_subscription_length(void);
time_t rc_gui_subscription_last_updated(RCChannel *channel);
void rc_gui_subscription_update(RCChannel *channel, time_t time);

#endif /* __REDCARPET_SUBSCRIPTION_H */
